Bug 972615 - [oVIrt][backend] default GW is not kept when host is added over bond with static IP
[oVIrt][backend] default GW is not kept when host is added over bond with sta...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: 3.3
Assigned To: Moti Asayag
Martin Pavlik
network
:
Depends On:
Blocks: 975759
  Show dependency treegraph
 
Reported: 2013-06-10 04:33 EDT by Martin Pavlik
Modified: 2015-04-06 23:10 EDT (History)
7 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 975759 (view as bug list)
Environment:
Last Closed: 2013-09-23 08:15:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (169.01 KB, application/x-compressed-tar)
2013-06-10 04:33 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2013-06-10 04:33:36 EDT
Created attachment 759107 [details]
logs

Description of problem:

When adding new host over predefined bond with static IP, host addition fails because of missing GW field. ovirtmgmt network is set as bridgeless.

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.3.0-0.2.master.20130604215912.gitc824e6a.fc18 

How reproducible:
100%

Steps to Reproduce:
1.create new DC/CL with bridgeless ovirtmgmt network
2.on host manually define bond with static IP (used configuration is bellow)
3.add host in setup via IP assigned to bond

Actual results:
host installation fails

Expected results:
host is installed successfully

Additional info:

###default GW is missing for bond0
engine.log
2013-06-07 14:28:22,956 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SetupNetworksVDSCommand] (pool-5-thread-50) [1a3a51d7] START, SetupNetworksVDSCommand(HostName = dell-07, HostId = 3e53426c-fff7-483c-a55c-5fcaa7c792a5, force=false, checkConnectivity=true, conectivityTimeout=120,
	networks=[ovirtmgmt {id=f814c749-0d46-4177-8576-3a9ad8fd41e9, description=Management Network, subnet=null, gateway=null, type=null, vlanId=null, stp=false, dataCenterId=e58c44fb-0207-486d-85f8-9ae956b7506a, mtu=0, vmNetwork=false, cluster=NetworkCluster {id={clusterId=null, networkId=null}, status=OPERATIONAL, display=false, required=true, migration=false}}],
	bonds=[],
	interfaces=[p1p1 {id=c8fcb42c-b751-415d-a08f-3e703ce4bc70, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=90:E2:BA:04:29:88, networkName=null, vlanId=null, bonded=null, bondName=bond0, bondOptions=null, bootProtocol=NONE, address=, subnet=, gateway=null, mtu=1500, bridged=false, speed=1000, type=0, networkImplementationDetails=null},
		p1p2 {id=f33483d5-730a-49a0-bcff-98431bba5ec7, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=90:E2:BA:04:29:89, networkName=null, vlanId=null, bonded=null, bondName=bond0, bondOptions=null, bootProtocol=NONE, address=, subnet=, gateway=null, mtu=1500, bridged=false, speed=1000, type=0, networkImplementationDetails=null},
		em1 {id=dbb8c850-4110-4080-ad30-f378181db75d, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=d0:67:e5:f0:82:44, networkName=null, vlanId=null, bonded=null, bondName=null, bondOptions=null, bootProtocol=NONE, address=, subnet=, gateway=null, mtu=1500, bridged=false, speed=0, type=0, networkImplementationDetails=null},
		em2 {id=3de99ef5-3a43-452c-b782-dc8332f03925, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=d0:67:e5:f0:82:45, networkName=null, vlanId=null, bonded=null, bondName=null, bondOptions=null, bootProtocol=NONE, address=, subnet=, gateway=null, mtu=1500, bridged=false, speed=0, type=0, networkImplementationDetails=null},
		bond0 {id=a7950e90-8b94-4c36-9327-76b30d2458b9, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=90:e2:ba:04:29:89, networkName=ovirtmgmt, vlanId=null, bonded=true, bondName=null, bondOptions=mode=active-backup miimon=150, bootProtocol=STATIC_IP, address=10.34.67.40, subnet=255.255.255.224, gateway=null, mtu=1500, bridged=false, speed=null, type=0, networkImplementationDetails=null}],
	removedNetworks=[],
	removedBonds=[]), log id: 4aa0a09f




2013-06-07 14:31:05,639 ERROR [org.ovirt.engine.core.bll.InstallVdsCommand] (pool-5-thread-50) [1a3a51d7] Host installation failed for host 3e53426c-fff7-483c-a55c-5fcaa7c792a5, dell-07.: org.ovirt.engine.core.bll.InstallVdsCommand$VdsInstallException: Failed to configure manamgent network on the host
        at org.ovirt.engine.core.bll.InstallVdsCommand.configureManagementNetwork(InstallVdsCommand.java:248) [bll.jar:]
        at org.ovirt.engine.core.bll.InstallVdsCommand.executeCommand(InstallVdsCommand.java:194) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1068) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1153) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1623) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:174) [utils.jar:]



###gateway is not in DB
select * from vds_interface where vds_id = '3e53426c-fff7-483c-a55c-5fcaa7c792a5' and name = 'bond0';)

###comes back empty


###vdsm is reporting GATEWAY for bond
getVdsCapabilities:
bond0': {'addr': '10.34.67.40', 'cfg': {'IPADDR': '10.34.67.40', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'NETMASK': '255.255.255.224', 'BONDING_OPTS': 'mode=active-backup miimon=150', 'DEVICE': 'bond0', 'GATEWAY': '10.34.67.62'}, 'mtu': '1500', 'netmask': '255.255.255.224', 'slaves': ['p1p1', 'p1p2'], 'hwaddr': '90:e2:ba:04:29:88'}



### used bond configuration
#configure first physical slave
cat > /etc/sysconfig/network-scripts/ifcfg-p1p1 << EOF
DEVICE=p1p1
ONBOOT=yes
MASTER=bond0
SLAVE=yes
NM_CONTROLLED=no
EOF
 
#configure second physical slave
cat > /etc/sysconfig/network-scripts/ifcfg-p1p2 << EOF
DEVICE=p1p2
ONBOOT=yes
MASTER=bond0
SLAVE=yes
NM_CONTROLLED=no
EOF
 
#configure bond
cat > /etc/sysconfig/network-scripts/ifcfg-bond0 << EOF
DEVICE=bond0
ONBOOT=yes
BONDING_OPTS='mode=active-backup miimon=150'
NM_CONTROLLED=no 
BOOTPROTO=static
IPADDR=10.34.67.40
PREFIX=27
GATEWAY=10.34.67.62
EOF
Comment 1 Martin Pavlik 2013-06-10 04:36:33 EDT
this problem might be related to https://bugzilla.redhat.com/show_bug.cgi?id=958536
Comment 2 Martin Pavlik 2013-06-10 09:55:08 EDT
also  bondName=null for bond0, might be worth checking
Comment 3 Martin Pavlik 2013-07-29 03:14:33 EDT
working in is7, host is properly added, GW is kept
Comment 4 Itamar Heim 2013-09-23 08:15:22 EDT
bulk closing, assuming verified bugs are in 3.3.

Note You need to log in before you can comment on or make changes to this bug.